# TdApi.Sticker (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Sticker

Package it.tdlight.jni

# Class TdApi.Sticker

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Sticker

Enclosing class:
  TdApi

    public static class TdApi.Sticker
    extends TdApi.Object

Describes a sticker.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `emoji` | Emoji corresponding to the sticker.
`int` | `height` | Sticker height; as defined by the sender.
`boolean` | `isAnimated` | True, if the sticker is an animated sticker in TGS format.
`boolean` | `isMask` | True, if the sticker is a mask.
`TdApi.MaskPosition` | `maskPosition` | Position where the mask is placed; may be null.
`TdApi.ClosedVectorPath[]` | `outline` | Sticker's outline represented as a list of closed vector paths; may be empty.
`long` | `setId` | The identifier of the sticker set to which the sticker belongs; 0 if none.
`TdApi.File` | `sticker` | File containing the sticker.
`TdApi.Thumbnail` | `thumbnail` | Sticker thumbnail in WEBP or JPEG format; may be null.
`int` | `width` | Sticker width; as defined by the sender.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Sticker()` | Describes a sticker.
`Sticker​(long setId, int width, int height, String emoji, boolean isAnimated, boolean isMask, TdApi.MaskPosition maskPosition, TdApi.ClosedVectorPath[] outline, TdApi.Thumbnail thumbnail, TdApi.File sticker)` | Describes a sticker.
`Sticker​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### setId

public long setId
The identifier of the sticker set to which the sticker belongs; 0 if none.

### width

public int width
Sticker width; as defined by the sender.

### height

public int height
Sticker height; as defined by the sender.

### emoji

public String emoji
Emoji corresponding to the sticker.

### isAnimated

public boolean isAnimated
True, if the sticker is an animated sticker in TGS format.

### isMask

public boolean isMask
True, if the sticker is a mask.

### maskPosition

public TdApi.MaskPosition maskPosition
Position where the mask is placed; may be null.

### outline

public TdApi.ClosedVectorPath[] outline
Sticker's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.

### thumbnail

public TdApi.Thumbnail thumbnail
Sticker thumbnail in WEBP or JPEG format; may be null.

### sticker

public TdApi.File sticker
File containing the sticker.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Sticker

public Sticker()
Describes a sticker.

### Sticker

public Sticker​(long setId, int width, int height, String emoji, boolean isAnimated, boolean isMask, TdApi.MaskPosition maskPosition, TdApi.ClosedVectorPath[] outline, TdApi.Thumbnail thumbnail, TdApi.File sticker)
Describes a sticker.

Parameters:
  `setId` - long The identifier of the sticker set to which the sticker belongs; 0 if none.
  `width` - int Sticker width; as defined by the sender.
  `height` - int Sticker height; as defined by the sender.
  `emoji` - String Emoji corresponding to the sticker.
  `isAnimated` - boolean True, if the sticker is an animated sticker in TGS format.
  `isMask` - boolean True, if the sticker is a mask.
  `maskPosition` - MaskPosition Position where the mask is placed; may be null.
  `outline` - ClosedVectorPath[] Sticker's outline represented as a list of closed vector paths; may be empty. The coordinate system origin is in the upper-left corner.
  `thumbnail` - Thumbnail Sticker thumbnail in WEBP or JPEG format; may be null.
  `sticker` - File File containing the sticker.

### Sticker

public Sticker​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`